Package com.google.android.exoplayer2.metadata.id3

## Interface Id3Decoder.FramePredicate

- Enclosing class:
    Id3Decoder

      public static interface Id3Decoder.FramePredicate

  A predicate for determining whether individual frames should be decoded.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `evaluate​(int majorVersion, int id0, int id1, int id2, int id3)` | Returns whether a frame with the specified parameters should be decoded.

- - ### Method Detail

    - #### evaluate

          boolean evaluate​(int majorVersion,
                           int id0,
                           int id1,
                           int id2,
                           int id3)

      Returns whether a frame with the specified parameters should be decoded.
      Parameters:
        `majorVersion` - The major version of the ID3 tag.
        `id0` - The first byte of the frame ID.
        `id1` - The second byte of the frame ID.
        `id2` - The third byte of the frame ID.
        `id3` - The fourth byte of the frame ID.
      Returns:
        Whether the frame should be decoded.